	* Added MT48LC8M16A2TG-7E SDRAM support

Signed-off-by: Andrey Volkov <avolkov@varma-el.com>
---

 include/asm-blackfin/mem_init.h |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/include/asm-blackfin/mem_init.h b/include/asm-blackfin/mem_init.h
index 1a13d90..2741aea 100644
--- a/include/asm-blackfin/mem_init.h
+++ b/include/asm-blackfin/mem_init.h
@@ -22,7 +22,9 @@
  * MA 02111-1307 USA
  */
 
-#if ( CONFIG_MEM_MT48LC16M16A2TG_75  ||  CONFIG_MEM_MT48LC64M4A2FB_7E )
+#if ( CONFIG_MEM_MT48LC16M16A2TG_75  || \
+      CONFIG_MEM_MT48LC8M16A2TG_7E || \
+      CONFIG_MEM_MT48LC64M4A2FB_7E )
 	#if ( CONFIG_SCLK_HZ > 119402985 )
 		#define SDRAM_tRP	TRP_2
 		#define SDRAM_tRP_num	2
@@ -111,6 +113,13 @@
 	#define SDRAM_CL	CL_2
 #endif
 
+#if (CONFIG_MEM_MT48LC8M16A2TG_7E)
+	/*SDRAM INFORMATION: */
+	#define SDRAM_Tref	64       /* Refresh period in milliseconds   */
+	#define SDRAM_NRA	4096     /* Number of row addresses in SDRAM */
+	#define SDRAM_CL	CL_2
+#endif
+
 #if ( CONFIG_MEM_SIZE == 128 )
 	#define SDRAM_SIZE	EBSZ_128
 #endif
